.lam-header {

  &__top {
    display: flex;
    justify-content: space-between;
    max-width: 1000px;
    width: 100%;
    margin: 0 auto;

    @media (max-width: 1000px) {
      padding: 0 15px;
    }

    &__nav {
      display: flex;
      width: 600px;

      &__unit {
        justify-content: center;
        line-height: 13px;
        padding: 20px 0;
        text-decoration: none;
        font-size: 93%;
        font-weight: 300;
        color: black;

        &:hover {
          color: $otherElementColorPrimary;
          text-decoration: underline;
        }

        &__about {
          display: flex;
          flex-grow: 2;
          justify-content: flex-start;
        }

        &__container {
          display: flex;
          justify-content: space-around;
          padding: 0 15px;
          flex-grow: 4;
        }
        &__separator {
          height: 9px;
          width: 1px;
          background-color: $separatorColor;
          margin: 23px 0;
        }
      }
    }
  }

  &__bottom {
    min-height: 110px;
    height: 100%;
    max-width: 1000px;
    margin: 0 auto;
    display: flex;

    @media (max-width: 1000px) {
      padding: 0 15px;
    }


    &__logo {
      width: 15%;
      min-width: 100px;
      height: 70px;
      margin: auto 0;
      background-size: 100%;
      display: inline-block;
      background: url("img/lam-color.svg") no-repeat;
      background-size: contain;
      background-position: center center;

      @media (max-width: 905px) {
        width: 19%;
      }
    }
    &__info {
      display: flex;
      flex-wrap: wrap;
      padding: 20px 25px;
      width: 27%;

      &__primary {
        font-weight: 300;
        font-size: 120%;

        @media (max-width: 905px) {
          font-size: 110%;
        }
      }
      &__secondary {
        font-weight: 300;
        font-size: 93%;
      }
    }
    &__communication {
      display: flex;
      flex-direction: row;

      &__info {
        width: 50%;
        margin: 20px 20px;
        line-height: 25px;

        @media (max-width: 905px) {
          width: 42%;
        }

        &__phoneNumber {
          font-size: 134%;

          @media (max-width: 905px) {
            font-size: 120%;
          }

          &__code {
            font-weight: 300;
            color: $otherElementColorSecondary;
          }
          &__number {
            font-weight: 500;
          }
        }
        &__workingHours {
          font-size: 93%;
          font-weight: 300;

          @media (max-width: 905px) {
            line-height: 20px;
            font-size: 100%;
          }
        }
        &__information {
          font-size: 93%;
          font-weight: 300;
          color: $otherElementColorPrimary;
          text-decoration: none;

          &:hover {
            text-decoration: underline;
          }
        }
      }
      &__contact {
        padding: 20px 10px;
        width: 22%;
        margin-left: 20px;

        &__mail {
          color: $otherElementColorPrimary ;
          text-decoration: none;

          &:hover {
            text-decoration: underline;
          }
        }
        &__socialNetwork {
          height: 40px;
          width: 190px;
          background-color: white;
          border-radius: 3px;
          display: flex;
          align-items: center;
          margin: 20px 0;
          &__icon {
            content: '';
            height: 20px;
            width: 20px;
            background-size: contain;
            background: url("img/fb.svg") no-repeat center bottom;
            display: inline-block;
            margin: 10px 20px;
          }
          &__network {
            display: inline-block;
            cursor: pointer;
          }
        }
      }
    }

    &__separator {
      height: 40px;
      width: 1px;
      background-color: $separatorColor;
      margin: 35px 0;
    }
  }
  &__image {
    max-width: 1000px;
    width: 100%;
    height: 400px;
    background: url("img/lam-header.jpg") no-repeat;
    background-size: contain;
    margin: 20px auto;

    @media (max-width: 880px){
      height: 340px;
    }

    @media (max-width: 620px){
      height: 200px;
    }
  }
}

@media (max-width: 768px) {
  .lam-header {
    &__top {
      display: flex;
      justify-content: space-between;
      max-width: 1000px;
      width: 100%;
      margin: 0 auto;
      padding: 0 20px;

      &__nav {
        display: flex;
        width: 600px;

        &__unit {
          justify-content: center;
          line-height: 13px;
          padding: 20px 0;
          text-decoration: none;
          font-size: 93%;
          font-weight: 300;
          color: black;

          &:hover {
            color: $otherElementColorPrimary;
            text-decoration: underline;
          }

          &__about {
            display: flex;
            flex-grow: 2;
            justify-content: flex-start;
          }

          &__container {
            display: flex;
            justify-content: space-around;
            padding: 0 15px;
            flex-grow: 4;
          }
          &__separator {
            height: 9px;
            width: 1px;
            background-color: $separatorColor;
            margin: 23px 0;
          }
        }
      }
    }
    &__bottom {
      min-height: 110px;
      height: 100%;
      max-width: 1000px;
      margin: 0 auto;
      display: flex;
      padding: 0 20px;

      &__logo {
        width: 25%;
        min-width: 100px;
        height: 70px;
        margin: auto 0;
        background-size: 100%;
        display: inline-block;
        background: url("img/lam-color.svg") no-repeat;
        background-size: contain;
        background-position: center center;
      }
      &__info {
        display: flex;
        flex-wrap: wrap;
        width: 26%;

        &__primary {
          font-weight: 300;
          font-size: 95%;
        }
        &__secondary {
          font-weight: 300;
          font-size: 80%;
        }
      }
      &__communication {
        display: flex;
        flex-direction: row;

        &__info {
          width: 40%;
          line-height: 18px;

          &__phoneNumber {
            font-size: 110%;

            &__code {
              font-weight: 300;
              color: $otherElementColorSecondary;
            }
            &__number {
              font-weight: 500;
            }
          }
          &__workingHours {
            font-size: 92%;
            font-weight: 300;
          }
          &__information {
            font-size: 87%;
            font-weight: 300;
            color: $otherElementColorPrimary;
            text-decoration: none;

            &:hover {
              text-decoration: underline;
            }
          }
        }
        &__contact {
          padding: 20px 10px;
          width: 22%;
          margin-left: 10px;

          &__mail {
            color: $otherElementColorPrimary;
            text-decoration: none;
            font-size: 87%;

            &:hover {
              text-decoration: underline;
            }
          }
          &__socialNetwork {
            height: 40px;
            width: 170px;
            background-color: white;
            border-radius: 3px;
            display: flex;
            align-items: center;

            &__icon {
              content: '';
              height: 20px;
              width: 20px;
              background-size: contain;
              background: url("img/fb.svg") no-repeat center bottom;
              display: inline-block;
              margin: 10px 10px;
            }
            &__network {
              font-size: 87%;
            }
          }
        }
      }

      &__separator {
        height: 40px;
        width: 1px;
        background-color: $separatorColor;
        margin: 35px 0;
      }
    }
    &__image {
      max-width: 1000px;
      width: 100%;
      height: 300px;
      background: url("img/lam-header.jpg") no-repeat;
      background-size: cover;
      margin: 20px auto;

      @media (max-width: 700px) {
        height: 270px;
      }
    }
  }
}

@media (max-width: 720px) {
  .lam-header {
    &__top {
      &__nav {
        &__unit {
          &__about {
          }
          &__container {
          }
          &__separator {
          }
        }
      }
    }
    &__bottom {
      flex-wrap: wrap;
      &__logo {
        margin: 20px;
      }
      &__info {
        padding: 10px;
        margin-top: 10px;
        width: 65%;
        &__primary {
          font-size: 120%;
        }
        &__secondary {
          font-size: 95%;
        }
      }
      &__communication {

        &__info {
          width: 65%;
          line-height: 30px;
          font-size: 120%;
          &__phoneNumber {
            &__code {
            }
            &__number {
            }
          }
          &__workingHours {
          }
          &__information {
          }
        }
        &__contact {
          &__mail {
            font-size: 110%;
          }
          &__socialNetwork {
            width: 190px;
            &__icon {
            }
            &__network {
              font-size: 110%;
            }
          }
        }
      }
      &__separator {
        display: none;
      }
    }
    &__image {
    }
  }
}

@media (max-width: 620px) {
  .lam-header {
    &__top {
      display: none;
    }
    &__bottom {
      display: flex;
      flex-wrap: wrap;
      height: 100%;
      padding: 0 10px;
      &__logo {
        width: 37%;
        margin-top: 15px;
      }
      &__info {
        padding: 10px 0 0 10px;
        width: 51%;
        &__primary {
          font-size: 100%;
        }
        &__secondary {
        }
      }
      &__communication {
        display: flex;
        flex-direction: column;
        &__info {
          margin: 20px auto 10px;
          width: 100%;
        }
        &__phoneNumber {
          &__code {
          }
          &__number {
          }
        }
        &__workingHours {
        }
        &__information {
        }
        &__contact {
          margin: 0;
          padding: 0;
          &__mail {
          }
          &__socialNetwork {
            margin: 10px 0;
            &__icon {
            }
            &__network {
            }
          }
        }
      }
      &__separator {
        display: none;
      }
    }

    &__image {
      margin: 0;
      height: 240px;
    }
  }
}


